Question Answering Projects - List Projects
Gets all projects for a user.
GET {Endpoint}/language/authoring/query-knowledgebases/projects?api-version=2023-04-01
GET {Endpoint}/language/authoring/query-knowledgebases/projects?api-version=2023-04-01&top={top}&skip={skip}&maxpagesize={maxpagesize}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
Endpoint
|
path | True |
string (uri) |
Supported Cognitive Services endpoint (e.g., https://<resource-name>.api.cognitiveservices.azure.com). |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
maxpagesize
|
query |
integer (int32) |
The maximum number of resources to include in a single response. |
|
|
skip
|
query |
integer (int32) |
An offset into the collection of the first resource to be returned. |
|
|
top
|
query |
integer (int32) |
The maximum number of resources to return from the collection. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. Headers x-ms-error-code: string |
Security
Ocp-Apim-Subscription-Key
Type:
apiKey
In:
header
OAuth2Auth
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| https://cognitiveservices.azure.com/.default |
Examples
Successful query
Sample request
GET {Endpoint}/language/authoring/query-knowledgebases/projects?api-version=2023-04-01
Sample response
{
"value": [
{
"description": "proj1 is a test project.",
"createdDateTime": "2021-05-01T15:13:22Z",
"lastDeployedDateTime": "2021-05-01T15:13:22Z",
"lastModifiedDateTime": "2021-05-01T15:13:22Z",
"multilingualResource": true,
"projectName": "proj1",
"language": "en"
},
{
"description": "proj2 is a test project.",
"createdDateTime": "2021-05-01T15:13:22Z",
"lastDeployedDateTime": "2021-05-01T15:13:22Z",
"lastModifiedDateTime": "2021-05-01T15:13:22Z",
"multilingualResource": true,
"projectName": "proj2",
"language": "fr"
}
]
}
Definitions
| Name | Description |
|---|---|
| Error |
The error object. |
|
Error |
Human-readable error code. |
|
Error |
Error response. |
|
Inner |
Human-readable error code. |
|
Inner |
An object containing more specific information about the error. As per Microsoft One API guidelines - https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses. |
|
Paged |
Paged collection of QuestionAnsweringProjectMetadata items |
|
Project |
Configurable settings of the Project. |
|
Question |
Represents the project. |
Error
The error object.
| Name | Type | Description |
|---|---|---|
| code |
One of a server-defined set of error codes. |
|
| details |
Error[] |
An array of details about specific errors that led to this reported error. |
| innererror |
An object containing more specific information than the current object about the error. |
|
| message |
string |
A human-readable representation of the error. |
| target |
string |
The target of the error. |
ErrorCode
Human-readable error code.
| Value | Description |
|---|---|
| InvalidRequest |
Invalid request error |
| InvalidArgument |
Invalid argument error |
| Unauthorized |
Unauthorized access error |
| Forbidden |
Forbidden access error |
| NotFound |
Not found error |
| ProjectNotFound |
Project not found error |
| OperationNotFound |
Operation not found error |
| AzureCognitiveSearchNotFound |
Azure Cognitive Search not found error |
| AzureCognitiveSearchIndexNotFound |
Azure Cognitive Search index not found error |
| TooManyRequests |
Too many requests error |
| AzureCognitiveSearchThrottling |
Azure Cognitive Search throttling error |
| AzureCognitiveSearchIndexLimitReached |
Azure Cognitive Search index limit reached error |
| InternalServerError |
Internal server error |
| ServiceUnavailable |
Service unavailable error |
| Timeout |
Timeout error |
| QuotaExceeded |
Quota exceeded error |
| Conflict |
Conflict error |
| Warning |
Warning error |
ErrorResponse
Error response.
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
InnerErrorCode
Human-readable error code.
| Value | Description |
|---|---|
| InvalidRequest |
Invalid request error |
| InvalidParameterValue |
Invalid parameter value error |
| KnowledgeBaseNotFound |
Knowledge base not found error |
| AzureCognitiveSearchNotFound |
Azure Cognitive Search not found error |
| AzureCognitiveSearchThrottling |
Azure Cognitive Search throttling error |
| ExtractionFailure |
Extraction failure error |
| InvalidRequestBodyFormat |
Invalid request body format error |
| EmptyRequest |
Empty request error |
| MissingInputDocuments |
Missing input documents error |
| InvalidDocument |
Invalid document error |
| ModelVersionIncorrect |
Model version incorrect error |
| InvalidDocumentBatch |
Invalid document batch error |
| UnsupportedLanguageCode |
Unsupported language code error |
| InvalidCountryHint |
Invalid country hint error |
InnerErrorModel
An object containing more specific information about the error. As per Microsoft One API guidelines - https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses.
| Name | Type | Description |
|---|---|---|
| code |
One of a server-defined set of error codes. |
|
| details |
object |
Error details. |
| innererror |
An object containing more specific information than the current object about the error. |
|
| message |
string |
Error message. |
| target |
string |
Error target. |
PagedQuestionAnsweringProjectMetadata
Paged collection of QuestionAnsweringProjectMetadata items
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The QuestionAnsweringProjectMetadata items on this page |
ProjectSettings
Configurable settings of the Project.
| Name | Type | Description |
|---|---|---|
| defaultAnswer |
string |
Default Answer response when no good match is found in the knowledge base. |
QuestionAnsweringProjectMetadata
Represents the project.
| Name | Type | Description |
|---|---|---|
| createdDateTime |
string (date-time) |
Project creation date-time. |
| description |
string |
Description of the project. |
| language |
string |
Language of the text records. This is BCP-47 representation of a language. For example, use "en" for English; "es" for Spanish etc. If not set, use "en" for English as default. |
| lastDeployedDateTime |
string (date-time) |
Represents the project last deployment date-time. |
| lastModifiedDateTime |
string (date-time) |
Represents the project last modified date-time. |
| multilingualResource |
boolean |
Resource enabled for multiple languages across projects or not. |
| projectName |
string maxLength: 100pattern: ^(?=[a-zA-Z0-9])[a-zA-Z0-9-]{0,98}[a-zA-Z0-9]$ |
Name of the project. |
| settings |
Configurable settings of the Project. |